#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xb3452e66, "netdev_info" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x554a3dc5, "register_candev" },
	{ 0x21fad146, "alloc_can_err_skb" },
	{ 0x16081ffb, "can_dlc2len" },
	{ 0x55d9e7c1, "netif_carrier_on" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0xc89cc9dc, "netif_carrier_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5130ec14, "__dynamic_netdev_dbg" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x314abfae, "usb_unanchor_urb" },
	{ 0x3416a4f9, "can_bus_off" },
	{ 0xe4d178e6, "netif_rx" },
	{ 0x55f9b2ba, "__init_waitqueue_head" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0x34ecf0a8, "close_candev" },
	{ 0x93246e4f, "netif_tx_wake_queue" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0x2248c294, "alloc_candev_mqs" },
	{ 0xe9205cec, "free_candev" },
	{ 0x11d893cc, "usb_free_coherent" },
	{ 0xf794a478, "_dev_err" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xfcde091b, "can_change_mtu" },
	{ 0x437aaa84, "can_change_state" },
	{ 0x6510884c, "_dev_info" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x149cfbe2, "unregister_candev" },
	{ 0x40f2f926, "netif_device_detach" },
	{ 0x7479c44c, "usb_kill_anchored_urbs" },
	{ 0x3d19a852, "alloc_can_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x524596ad, "usb_bulk_msg" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x964770ec, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad0f8eb3, "netdev_err" },
	{ 0xaeb75449, "open_candev" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0xf763abe3, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x975dc57f, "alloc_canfd_skb" },
	{ 0x8762619a, "can_len2dlc" },
	{ 0x65b45cb, "complete" },
	{ 0xd58863d4, "can_get_echo_skb" },
	{ 0xf72ed696, "consume_skb" },
	{ 0xfcd7c344, "usb_alloc_coherent" },
	{ 0xa6f459b6, "can_put_echo_skb" },
	{ 0x177379d4, "devm_kmalloc" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x71ec8fe4, "can_free_echo_skb" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0xa8d375dd, "usb_anchor_urb" },
	{ 0x98c178d2, "completion_done" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D3FDAC72506AB4EF6180E2C");

MODULE_INFO(suserelease, "SLE15-SP2");
