#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xbc6d5ba5, "orinoco_tx_timeout" },
	{ 0x426b0f24, "orinoco_change_mtu" },
	{ 0xe366bc99, "eth_validate_addr" },
	{ 0x4c2b7c16, "eth_mac_addr" },
	{ 0xa160fc00, "orinoco_set_multicast_list" },
	{ 0xd6c22439, "orinoco_stop" },
	{ 0xa5606806, "orinoco_open" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x5456db59, "free_orinocodev" },
	{ 0xad2e8e8e, "wiphy_unregister" },
	{ 0xe02d36c4, "orinoco_if_del" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0xbc4af3e2, "release_firmware" },
	{ 0x4cc12ff4, "orinoco_if_add" },
	{ 0x7c3ad7c0, "orinoco_init" },
	{ 0xdb5b1300, "request_firmware" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x898d8a81, "alloc_orinocodev" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf65e90ff, "orinoco_process_xmit_skb" },
	{ 0xf72ed696, "consume_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x5678a292, "usb_kill_urb" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf7bf886f, "current_task" },
	{ 0xea2bbb22, "finish_swait" },
	{ 0xa653d1d1, "prepare_to_swait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xa62e6a9a, "usb_control_msg" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x5d06100e, "usb_unlink_urb" },
	{ 0xd0d5ec5a, "__orinoco_ev_rx" },
	{ 0x46875082, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x93246e4f, "netif_tx_wake_queue" },
	{ 0x65b45cb, "complete" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0x5130ec14, "__dynamic_netdev_dbg" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5850110, "printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A572F1796F5C95D9E68F22E");

MODULE_INFO(suserelease, "SLE15-SP2");
