#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x9a71f23b, "mt76x02_remove_interface" },
	{ 0x3edcd7d3, "__mt76_poll" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xe66b43ce, "mt76x02_sw_scan" },
	{ 0xd73b0ce5, "mt76x02_conf_tx" },
	{ 0xf581a9f, "mt76x02_ampdu_action" },
	{ 0x2faf17bb, "mt76u_stop_rx" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x56ceab1b, "mt76x02u_exit_beacon_config" },
	{ 0xf6048712, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc58a3197, "mt76u_vendor_request" },
	{ 0x2fee7d26, "ieee80211_unregister_hw" },
	{ 0x93d9192b, "mt76x02u_init_beacon_config" },
	{ 0x112120bf, "mt76u_stop_tx" },
	{ 0xcfa8e9b6, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x40881b73, "mt76x0_mac_start" },
	{ 0x57dcc6f6, "mt76x02_bss_info_changed" },
	{ 0xdb12b6c1, "mt76x0_init_hardware" },
	{ 0xd9dbfc3d, "mt76_sta_state" },
	{ 0x72c992df, "mt76x02_set_rts_threshold" },
	{ 0x23999047, "mt76x02u_tx_prepare_skb" },
	{ 0x1c43dc22, "mt76x02u_init_mcu" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0x5747e561, "mt76u_init" },
	{ 0x8bff671b, "mt76x02u_mcu_fw_send_data" },
	{ 0x36e3062c, "mt76x0_mac_stop" },
	{ 0xedaa6377, "mt76x02_sta_add" },
	{ 0xfdee1345, "mt76x02_tx_status_data" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0xe01b401c, "mt76x02_sta_remove" },
	{ 0x9cc380b, "mt76x02_tx" },
	{ 0x35f8c533, "__mt76_poll_msec" },
	{ 0x4b51c13c, "mt76x02_sw_scan_complete" },
	{ 0xd71e7793, "mt76_set_tim" },
	{ 0x972dd907, "mt76x0_phy_calibrate" },
	{ 0x5941ac1d, "mt76x02u_mcu_fw_reset" },
	{ 0xf794a478, "_dev_err" },
	{ 0xfb54bbb8, "mt76x0_register_device" },
	{ 0x5e0aba0c, "mt76x0_config" },
	{ 0x40d1cfd, "ieee80211_queue_delayed_work" },
	{ 0xd67d5eab, "mt76u_queues_deinit" },
	{ 0x914e3b1d, "mt76x02_queue_rx_skb" },
	{ 0xef9b4811, "mt76x0_chip_onoff" },
	{ 0x24bfc26f, "mt76x02_configure_filter" },
	{ 0x6510884c, "_dev_info" },
	{ 0x652303e9, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7ed2788, "usb_reset_device" },
	{ 0x348f12d6, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x6a41451e, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0xaa9a97c7, "mt76x02_sta_rate_tbl_update" },
	{ 0xcd2624a, "mt76u_resume_rx" },
	{ 0x9e9fdd7e, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0xda646b00, "mt76_wake_tx_queue" },
	{ 0xd384c799, "mt76_get_txpower" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xdb5b1300, "request_firmware" },
	{ 0xb319193c, "mt76_release_buffered_frames" },
	{ 0x16e8e49e, "ieee80211_free_hw" },
	{ 0x894dbb75, "mt76x02_set_key" },
	{ 0xefd1075d, "firmware_request_nowarn" },
	{ 0xbc4af3e2, "release_firmware" },
	{ 0xe1a97208, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
