#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x8db1135b, "param_ops_bool" },
	{ 0x6096f2dd, "rt2x00mac_tx_frames_pending" },
	{ 0x79d05923, "rt2x00mac_get_ringparam" },
	{ 0xdb3a5c63, "rt2x00mac_get_antenna" },
	{ 0x40cf1227, "rt2x00mac_set_antenna" },
	{ 0xbafe5966, "rt2x00mac_flush" },
	{ 0x22ea6a6e, "rt2x00mac_rfkill_poll" },
	{ 0x93d9c784, "rt2x00mac_conf_tx" },
	{ 0x660ba7d8, "rt2x00mac_get_stats" },
	{ 0x8782d96c, "rt2x00mac_sw_scan_complete" },
	{ 0x2e04c94e, "rt2x00mac_sw_scan_start" },
	{ 0xeac0c632, "rt2x00mac_set_key" },
	{ 0x2073105, "rt2x00mac_set_tim" },
	{ 0xb15c4b8c, "rt2x00mac_configure_filter" },
	{ 0x36e041b0, "rt2x00mac_bss_info_changed" },
	{ 0x582bf87e, "rt2x00mac_config" },
	{ 0x56a2ea6b, "rt2x00mac_remove_interface" },
	{ 0x582e982b, "rt2x00mac_add_interface" },
	{ 0x205017af, "rt2x00mac_stop" },
	{ 0x70acb08a, "rt2x00mac_start" },
	{ 0x51d1dd9c, "rt2x00mac_tx" },
	{ 0xef0c59df, "rt2x00usb_flush_queue" },
	{ 0x29760b61, "rt2x00usb_kick_queue" },
	{ 0xe149f4df, "rt2x00usb_watchdog" },
	{ 0x1d5ff5bc, "rt2x00usb_clear_entry" },
	{ 0x347bcc6b, "rt2x00usb_uninitialize" },
	{ 0x3c46ba5e, "rt2x00usb_initialize" },
	{ 0x34f8acca, "rt2x00usb_resume" },
	{ 0xbf85bef1, "rt2x00usb_suspend" },
	{ 0xf27e82bc, "rt2x00usb_disconnect" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x6510884c, "_dev_info" },
	{ 0xcbf69bdc, "rt2x00lib_set_mac_address" },
	{ 0x259607ae, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2aa6b56b, "rt2x00usb_disable_radio" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0xf794a478, "_dev_err" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x69f30477, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf72ed696, "consume_skb" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x5b677a61, "rt2x00debug_dump_frame" },
	{ 0x44b40950, "skb_push" },
	{ 0xe0fd9390, "skb_trim" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1448e56f, "rt2x00usb_vendor_request_buff" },
	{ 0x4b3e9b10, "rt2x00usb_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "SLE15-SP2");
