#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9760c11e, "scsi_add_host_with_dma" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x55f9b2ba, "__init_waitqueue_head" },
	{ 0xa757ba66, "scsi_host_alloc" },
	{ 0x57392e88, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x5d06100e, "usb_unlink_urb" },
	{ 0x62c19d0f, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x314abfae, "usb_unanchor_urb" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0xa8d375dd, "usb_anchor_urb" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0xd5993314, "blk_queue_max_hw_sectors" },
	{ 0xe5053e12, "blk_queue_update_dma_alignment" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x62c5c64e, "scsi_scan_host" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0xad4c87a9, "usb_lock_device_for_reset" },
	{ 0xe097ccb5, "scsi_host_put" },
	{ 0xed9cce83, "scsi_remove_host" },
	{ 0x7479c44c, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x5678a292, "usb_kill_urb" },
	{ 0xfd0dda7, "usb_get_urb" },
	{ 0x2225b137, "scsi_print_command" },
	{ 0x60c48ecc, "scmd_printk" },
	{ 0x76b2b5ed, "scsi_report_bus_reset" },
	{ 0xb957af62, "usb_alloc_streams" },
	{ 0xb59fe285, "scsi_change_queue_depth" },
	{ 0x793af8f, "scsi_is_host_device" },
	{ 0xf794a478, "_dev_err" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0xf1684f79, "scsi_unblock_requests" },
	{ 0x604ebea7, "dev_printk" },
	{ 0x77f223e6, "scsi_block_requests" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0xf2e017e1, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ed2788, "usb_reset_device" },
	{ 0x38a37109, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x580d9e64, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "5832B5E467AB0D394A25E78");

MODULE_INFO(suserelease, "SLE15-SP2");
