#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x18b4db26, "snd_hda_gen_fixup_micmute_led" },
	{ 0xe072508f, "snd_hda_gen_free" },
	{ 0xc6ffd909, "snd_hda_codec_get_pin_target" },
	{ 0x2b75faec, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0xd3441dac, "snd_hda_gen_parse_auto_config" },
	{ 0x85ff3005, "snd_hda_add_verbs" },
	{ 0xeeb93991, "snd_hda_apply_fixup" },
	{ 0x4f2e8e43, "snd_hda_pick_fixup" },
	{ 0xb9798cab, "snd_hda_mixer_amp_tlv" },
	{ 0x5345d83, "snd_hda_gen_build_pcms" },
	{ 0xdd276f69, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xdb2d3794, "snd_hda_gen_update_outputs" },
	{ 0xca3fa467, "snd_hda_get_path_from_idx" },
	{ 0x2e215d8e, "snd_hda_mixer_amp_volume_get" },
	{ 0xcaa7f4bf, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0xcbe4d0e6, "snd_hda_gen_check_power_status" },
	{ 0xd363fc47, "snd_hda_codec_set_pin_target" },
	{ 0x122df859, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xc54c3dc1, "snd_hda_gen_add_micmute_led" },
	{ 0x4214f02c, "snd_hda_activate_path" },
	{ 0x535499e7, "snd_hda_gen_init" },
	{ 0xa0c9f46e, "snd_hda_parse_pin_defcfg" },
	{ 0xefcac447, "snd_hda_jack_set_gating_jack" },
	{ 0x34f6aa01, "__hda_codec_driver_register" },
	{ 0xfd203654, "snd_hda_override_amp_caps" },
	{ 0x88e9a8ef, "snd_ctl_boolean_mono_info" },
	{ 0x6510884c, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7cc9cad0, "_snd_hdac_read_parm" },
	{ 0xbea176da, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xe835e041, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0xfb351c89, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0xc25cdc63, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x1af40ca6, "snd_hdac_codec_write" },
	{ 0xacc3738b, "snd_hda_add_new_path" },
	{ 0x43c712ee, "hda_codec_driver_unregister" },
	{ 0x5af08b34, "snd_hda_mixer_amp_switch_info" },
	{ 0x9dba8728, "snd_hda_gen_spec_init" },
	{ 0x2c5fa073, "snd_hda_jack_detect_state_mst" },
	{ 0x767de77c, "snd_hdac_regmap_read_raw" },
	{ 0x87bdcc8a, "snd_hda_mixer_amp_volume_info" },
	{ 0x38b09949, "query_amp_caps" },
	{ 0x520b9d53, "snd_hda_gen_mic_autoswitch" },
	{ 0x4dbd741a, "snd_hda_gen_build_controls" },
	{ 0x954c8400, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "2F08E49C4EC9A455615B49E");

MODULE_INFO(suserelease, "SLE15-SP2");
