#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x8dd9ed9f, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe072508f, "snd_hda_gen_free" },
	{ 0x2b75faec, "snd_hda_mixer_amp_volume_put" },
	{ 0xa12a9a86, "snd_hdac_codec_read" },
	{ 0x9f109a0e, "snd_hda_enum_helper_info" },
	{ 0xd3441dac, "snd_hda_gen_parse_auto_config" },
	{ 0x85ff3005, "snd_hda_add_verbs" },
	{ 0xeeb93991, "snd_hda_apply_fixup" },
	{ 0x4f2e8e43, "snd_hda_pick_fixup" },
	{ 0xb9798cab, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5345d83, "snd_hda_gen_build_pcms" },
	{ 0xc582c14c, "snd_hda_override_conn_list" },
	{ 0xee8d8a45, "snd_hda_check_amp_list_power" },
	{ 0xdd276f69, "snd_hda_jack_unsol_event" },
	{ 0x2fd03685, "snd_hda_codec_set_pincfg" },
	{ 0xf638bd52, "snd_hda_mixer_amp_switch_put" },
	{ 0x2e215d8e, "snd_hda_mixer_amp_volume_get" },
	{ 0xb4624b2f, "snd_hda_codec_set_name" },
	{ 0xf36c1a30, "snd_hda_mixer_amp_switch_get" },
	{ 0x535499e7, "snd_hda_gen_init" },
	{ 0xa0c9f46e, "snd_hda_parse_pin_defcfg" },
	{ 0x34f6aa01, "__hda_codec_driver_register" },
	{ 0xfd203654, "snd_hda_override_amp_caps" },
	{ 0x88e9a8ef, "snd_ctl_boolean_mono_info" },
	{ 0x8ee819ac, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7cc9cad0, "_snd_hdac_read_parm" },
	{ 0xbea176da, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xfb351c89, "snd_hda_gen_add_kctl" },
	{ 0xc25cdc63, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x1af40ca6, "snd_hdac_codec_write" },
	{ 0xa386b52c, "snd_hda_codec_get_pincfg" },
	{ 0x43c712ee, "hda_codec_driver_unregister" },
	{ 0x5af08b34, "snd_hda_mixer_amp_switch_info" },
	{ 0x9dba8728, "snd_hda_gen_spec_init" },
	{ 0x767de77c, "snd_hdac_regmap_read_raw" },
	{ 0x87bdcc8a, "snd_hda_mixer_amp_volume_info" },
	{ 0x4dbd741a, "snd_hda_gen_build_controls" },
	{ 0x38bcdb9d, "snd_hda_get_connections" },
	{ 0xac6a2aac, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "87BB83B65FA3C8205463306");

MODULE_INFO(suserelease, "SLE15-SP2");
