#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3dde44e9, "i2c_del_driver" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0x5d2692bf, "regulator_disable" },
	{ 0x2885aeff, "i2c_transfer" },
	{ 0x124a378a, "input_alloc_absinfo" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1a2f0dc4, "input_mt_report_pointer_emulation" },
	{ 0xabf58541, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfe3c63f0, "input_event" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0xa85ae8eb, "i2c_smbus_read_byte" },
	{ 0x5e0d7e4a, "input_set_capability" },
	{ 0xf08a3b5d, "i2c_smbus_write_byte" },
	{ 0x4a64aa22, "irq_get_irq_data" },
	{ 0x63a8af47, "input_mt_init_slots" },
	{ 0x570e7513, "device_init_wakeup" },
	{ 0xf794a478, "_dev_err" },
	{ 0x3752b146, "i2c_register_driver" },
	{ 0x750193e4, "devm_add_action" },
	{ 0x6510884c, "_dev_info" },
	{ 0x4530135b, "i2c_smbus_write_block_data" },
	{ 0x43afb339, "devm_regulator_get" },
	{ 0x2ba8b5dd, "device_property_read_u32_array" },
	{ 0xec1ef415, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x65d9e528, "input_register_device" },
	{ 0xe7ed0bc1, "pm_wakeup_dev_event" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x83045bf0, "i2c_transfer_buffer_flags" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88a995d, "sysfs_create_groups" },
	{ 0xe452d680, "devm_input_allocate_device" },
	{ 0xd0df41c9, "input_mt_report_slot_state" },
	{ 0xfb0d9226, "sysfs_remove_groups" },
	{ 0xdb5b1300, "request_firmware" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x65b45cb, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x177379d4, "devm_kmalloc" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xc6ccd9d5, "devm_request_threaded_irq" },
	{ 0xbc4af3e2, "release_firmware" },
	{ 0x453465e3, "device_property_present" },
	{ 0xed65bcfa, "_mutex_lock_interruptible" },
	{ 0xea78c34f, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "A49AE7D8EFA0E1C39297ECC");

MODULE_INFO(suserelease, "SLE15-SP2");
