#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x81a193c6, "noop_llseek" },
	{ 0x8db1135b, "param_ops_bool" },
	{ 0xb6ebf50e, "param_ops_int" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xc5463baa, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0c56257, "rc_keydown" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9cadeac5, "rc_free_device" },
	{ 0xdc7956d0, "input_free_device" },
	{ 0xf794a478, "_dev_err" },
	{ 0xea4abc47, "usb_register_dev" },
	{ 0xb4c437da, "sysfs_create_group" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xabf58541, "input_set_abs_params" },
	{ 0x60636f25, "rc_register_device" },
	{ 0xf6d03b72, "rc_allocate_device" },
	{ 0x65d9e528, "input_register_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6d2c33fc, "input_allocate_device" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0xee620103, "usb_ifnum_to_if" },
	{ 0x652303e9, "usb_get_dev" },
	{ 0xfe3c63f0, "input_event" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0x8d86bf94, "usb_deregister_dev" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x9bc5356d, "rc_unregister_device" },
	{ 0xbffc3f82, "input_unregister_device" },
	{ 0x348f12d6, "usb_put_dev" },
	{ 0x450a4b4b, "sysfs_remove_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6510884c, "_dev_info" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf7bf886f, "current_task" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc5850110, "printk" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0x558b2455, "usb_find_interface" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0x65b45cb, "complete" },
	{ 0x5678a292, "usb_kill_urb" },
	{ 0xeed1d98b, "rc_g_keycode_from_table" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3B6BBB89337C1129902B18");

MODULE_INFO(suserelease, "SLE15-SP2");
