#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xb6ebf50e, "param_ops_int" },
	{ 0xaac815fe, "video_ioctl2" },
	{ 0x3ae83c68, "v4l2_event_unsubscribe" },
	{ 0xd8010523, "v4l2_ctrl_subscribe_event" },
	{ 0x9268d5aa, "v4l2_ctrl_log_status" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x11692fb8, "__video_register_device" },
	{ 0x3fa09034, "videobuf_queue_vmalloc_init" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a1c0262, "video_device_release_empty" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x1958fc44, "v4l2_ctrl_new_std" },
	{ 0x103a11ec, "v4l2_ctrl_handler_init_class" },
	{ 0x7537f3bb, "v4l2_device_register" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x3edf9583, "videobuf_read_one" },
	{ 0x16c237de, "videobuf_streamon" },
	{ 0x2b2ebcd0, "v4l2_ctrl_handler_setup" },
	{ 0x697b7097, "videobuf_queue_is_busy" },
	{ 0xd4c83963, "v4l2_fh_release" },
	{ 0xa62e6a9a, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3668c30d, "videobuf_mmap_mapper" },
	{ 0x2fe57d70, "videobuf_iolock" },
	{ 0xceca28c1, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0xeb607157, "__wake_up" },
	{ 0xb00da3db, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf794a478, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1617a1, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x91c674db, "videobuf_mmap_free" },
	{ 0x41361af5, "v4l2_device_unregister" },
	{ 0xbbe8f339, "videobuf_poll_stream" },
	{ 0x42f6487f, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xef1adae7, "v4l2_fh_open" },
	{ 0xed65bcfa, "_mutex_lock_interruptible" },
	{ 0xf63f20fc, "videobuf_reqbufs" },
	{ 0xc1f07ff, "videobuf_querybuf" },
	{ 0xb08f73a7, "videobuf_qbuf" },
	{ 0x5cfa76c4, "videobuf_dqbuf" },
	{ 0xfed7c838, "videobuf_streamoff" },
	{ 0x52af9f2c, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xec96d348, "v4l2_device_put" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0x28453c1d, "v4l2_device_disconnect" },
	{ 0xd70f7dcc, "video_unregister_device" },
	{ 0x6510884c, "_dev_info" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0x5678a292, "usb_kill_urb" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP2");
