#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xf0e8e14e, "param_ops_string" },
	{ 0xb6ebf50e, "param_ops_int" },
	{ 0xc6cec16a, "usbnet_get_stats64" },
	{ 0x9c9c84bd, "usbnet_tx_timeout" },
	{ 0xe366bc99, "eth_validate_addr" },
	{ 0x4c2b7c16, "eth_mac_addr" },
	{ 0x33fcfe64, "usbnet_start_xmit" },
	{ 0x2689aea9, "usbnet_stop" },
	{ 0x7db02740, "usbnet_open" },
	{ 0x9be33578, "rndis_tx_fixup" },
	{ 0xe03008f9, "rndis_rx_fixup" },
	{ 0x8f537532, "rndis_status" },
	{ 0xc149f496, "usbnet_resume" },
	{ 0x1aabf11c, "usbnet_suspend" },
	{ 0xd51216d5, "usbnet_disconnect" },
	{ 0xb5c104fa, "usbnet_probe" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x737bd252, "wiphy_register" },
	{ 0x8589bfc0, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x2b717187, "wiphy_new_nm" },
	{ 0xad0f8eb3, "netdev_err" },
	{ 0x50588616, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xc89cc9dc, "netif_carrier_off" },
	{ 0xe0f69d0, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0xc1812f95, "cfg80211_roamed" },
	{ 0x2f26bbfe, "cfg80211_ibss_joined" },
	{ 0x55d9e7c1, "netif_carrier_on" },
	{ 0xb0f4575e, "usbnet_resume_rx" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xda26f8c9, "cfg80211_cqm_rssi_notify" },
	{ 0xf483a5ec, "cfg80211_put_bss" },
	{ 0x2adf687d, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xde3bfa5f, "cfg80211_scan_done" },
	{ 0xa88fa03d, "wiphy_free" },
	{ 0xad2e8e8e, "wiphy_unregister" },
	{ 0x597de5fa, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf763abe3, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0xc36f5f2f, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ea885f3, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x96da3a4c, "cfg80211_connect_done" },
	{ 0x58fb5ae5, "usbnet_pause_rx" },
	{ 0x21cbdce8, "cfg80211_michael_mic_failure" },
	{ 0x5130ec14, "__dynamic_netdev_dbg" },
	{ 0x7a0496fa, "cfg80211_pmksa_candidate_notify" },
	{ 0xb3452e66, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
