#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x1936d15e, "snd_soc_dapm_get_enum_double" },
	{ 0x3dde44e9, "i2c_del_driver" },
	{ 0x47d8ea3d, "snd_soc_dapm_get_volsw" },
	{ 0x970da6f2, "regmap_update_bits_base" },
	{ 0x5c43a91f, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xe0255419, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x567ccccf, "snd_soc_component_update_bits" },
	{ 0xb568482c, "snd_soc_put_volsw" },
	{ 0x37134e12, "regmap_read" },
	{ 0x86c70488, "snd_soc_get_volsw" },
	{ 0xa2414417, "snd_soc_info_enum_double" },
	{ 0xfe9d916, "acpi_match_device" },
	{ 0xd8d99051, "snd_soc_dapm_add_routes" },
	{ 0xd95345c8, "snd_soc_put_volsw_range" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0x4c8694, "snd_soc_add_component_controls" },
	{ 0x5fdfa208, "snd_soc_info_volsw_range" },
	{ 0xeb279723, "snd_soc_bytes_info" },
	{ 0xe2c35e5, "snd_soc_dapm_put_volsw" },
	{ 0xf5f8f1e2, "snd_soc_get_volsw_range" },
	{ 0xf794a478, "_dev_err" },
	{ 0xd291dda0, "snd_soc_info_volsw" },
	{ 0x3752b146, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x6510884c, "_dev_info" },
	{ 0x780d62f1, "snd_soc_get_enum_double" },
	{ 0x2ba8b5dd, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x32f8dcc7, "__devm_regmap_init_i2c" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe7ed0bc1, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x928df09, "devm_snd_soc_register_component" },
	{ 0x9f43d274, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc99bd1b, "devm_clk_get" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1efbc808, "regcache_mark_dirty" },
	{ 0x54a6d6db, "snd_soc_put_enum_double" },
	{ 0x3a3e1ec4, "snd_soc_bytes_get" },
	{ 0xb0cc26af, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6d789fc, "snd_soc_jack_report" },
	{ 0x4c2d9bc0, "snd_soc_component_read32" },
	{ 0x177379d4, "devm_kmalloc" },
	{ 0xc6ccd9d5, "devm_request_threaded_irq" },
	{ 0xfcb37dc3, "regmap_write" },
	{ 0xed7b6f5a, "regcache_sync" },
	{ 0xf06b8acf, "is_acpi_device_node" },
	{ 0x74d5a5ad, "regcache_cache_only" },
	{ 0x9ab1902b, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "SLE15-SP2");
