#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0xb6ebf50e, "param_ops_int" },
	{ 0x701faca2, "snd_pcm_period_elapsed" },
	{ 0xb29a8100, "usb_init_urb" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x5678a292, "usb_kill_urb" },
	{ 0x8db1135b, "param_ops_bool" },
	{ 0xd36f6270, "snd_rawmidi_set_ops" },
	{ 0x221258e2, "snd_card_disconnect" },
	{ 0x677ef851, "snd_rawmidi_new" },
	{ 0x6bcb6e07, "__might_sleep" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0xabf58541, "input_set_abs_params" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0xfe3c63f0, "input_event" },
	{ 0x55f9b2ba, "__init_waitqueue_head" },
	{ 0x20f85d82, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1f059ff8, "_dev_warn" },
	{ 0x1aaeb27f, "usb_string" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x19a6fd9d, "snd_pcm_set_ops" },
	{ 0x38a37109, "usb_set_interface" },
	{ 0x168dab1b, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0x53326368, "snd_pcm_lib_ioctl" },
	{ 0xf794a478, "_dev_err" },
	{ 0xab84efb3, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xe8ffdd89, "usb_urb_ep_type_check" },
	{ 0x1c01cd94, "snd_card_new" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0x2ebe614f, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7ed2788, "usb_reset_device" },
	{ 0x65d9e528, "input_register_device" },
	{ 0x524596ad, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaf2c7291, "snd_ctl_new1" },
	{ 0xdc7956d0, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0x5687df32, "__dynamic_dev_dbg" },
	{ 0xeb607157, "__wake_up" },
	{ 0xf9066372, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xbffc3f82, "input_unregister_device" },
	{ 0x5d0b2ed3, "param_array_ops" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x6c354064, "finish_wait" },
	{ 0x95644769, "snd_card_free" },
	{ 0x65fd962b, "snd_card_register" },
	{ 0x1fea4329, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe22dbb2b, "snd_pcm_new" },
	{ 0xa5c187d2, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x22b112ab, "snd_ctl_add" },
	{ 0x391531ba, "snd_rawmidi_transmit" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0xbcef8a93, "snd_rawmidi_receive" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0x6d2c33fc, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "SLE15-SP2");
